!
! DO WHAT YOU WANT TO PUBLIC LICENSE
!
! Copyright (C) 2012 James Custer
!
! Everyone is permitted to copy and distribute verbatim or modified
! copies of this license document.
!
! This program is free software. It comes without any warranty, to
! the extent permitted by applicable law.
!
! TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
!
! 0. You just DO WHAT YOU WANT TO.
!
!
!------------------------------------------------------------------------------
! MPI version of a Hello, world! program.
!------------------------------------------------------------------------------
!
PROGRAM main
  IMPLICIT NONE
!
  include 'mpif.h'
!
  INTEGER :: i
  INTEGER :: rank, size
  INTEGER :: ierr
  INTEGER :: status(MPI_STATUS_SIZE)
!
  CALL MPI_INIT( ierr )
!
  CALL MPI_COMM_RANK( MPI_COMM_WORLD, rank, ierr )
  CALL MPI_COMM_SIZE( MPI_COMM_WORLD, size, ierr )
  PRINT *, 'Hello from ', rank, ' of ', size, '!'
!
  CALL MPI_FINALIZE
!
ENDPROGRAM main
